package com.fs.ad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 爱奇艺广告账号对象 ad_iqiyi_account
 *
 * @author fs
 * @date 2025-03-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdIqiyiAccount extends BaseEntityTow {

    /** 账号ID */
    @Excel(name = "账号ID")
    private String accountId;

    /** 账号名称 */
    @Excel(name = "账号名称")
    private String accountName;

}
