package com.fs.company.cache;

import com.fs.company.domain.CompanyUser;
import com.fs.company.param.CompanyUserQwParam;
import com.fs.company.vo.CompanyQwUserByIdsVo;
import com.fs.company.vo.CompanyUserQwListVO;
import com.fs.company.vo.CompanyUserVO;
import com.fs.company.vo.DocCompanyUserVO;
import com.fs.his.vo.OptionsVO;
import com.fs.qw.vo.CompanyUserQwVO;
import com.fs.qw.vo.QwUserVO;

import java.util.List;
import java.util.Map;

;

/**
 * 物业公司管理员信息Service接口
 *
 * @author fs
 * @date 2021-05-25
 */
public interface ICompanyUserCacheService {
    /**
     * 查询物业公司管理员信息
     *
     * @param userId 物业公司管理员信息ID
     * @return 物业公司管理员信息
     */
    public CompanyUser selectCompanyUserById(Long userId);

}
