package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业通话对象 company_voice
 *
 * @author fs
 * @date 2023-02-23
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CompanyVoice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long voiceId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;
    /**
     * 公司名称
     */
    private String companyName;

    private Long merchantId;

    /** 剩余时长 分 */
    @Excel(name = "剩余时长 分")
    private Long times;

    /** 累计时长 分 */
    @Excel(name = "累计时长 分")
    private Long totalTimes;


}
