package com.fs.course.config;

import lombok.Data;

import java.io.Serializable;

@Data
public class RedPacketConfig implements Serializable {
    private String appId;
    /**
     * 商户号.
     */
    private String mchId;
    /**
     * 商户密钥.
     */
    private String mchKey;

    /**
     * p12证书文件的绝对路径或者以classpath:开头的类路径.
     */
    private String keyPath;

    /**
     * apiclient_key.pem证书文件的绝对路径或者以classpath:开头的类路径.
     */
    private String privateKeyPath;

    /**
     * apiclient_cert.pem证书文件的绝对路径或者以classpath:开头的类路径.
     */
    private String privateCertPath;

    /**
     * apiV3 秘钥值.
     */
    private String apiV3Key;
    /**
     * 公钥ID
     */
    private String publicKeyId;

    /**
     * pub_key.pem证书文件的绝对路径或者以classpath:开头的类路径.
     */
    private String publicKeyPath;

    private String notifyUrl;
}
