package com.fs.course.param;

import com.fs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FsUserCourseVideoParam {
    /** ID */
    private Long videoId;

    private String courseId;

    /** 视频标题 */
    @Excel(name = "视频标题")
    private String title;
    private String redPacketMoney;
    private Long companyId;

    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum =1;
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = 10;

}
