package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 课程对象 fs_user_course
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseStudyListUVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long studyId;
    /** 课程id */
    private Long courseId;

    /** 课程名称 */
    private String courseName;

    /** 课程封面 */
    private String imgUrl;

    /** 用户id */
    private Long userId;

    private Long videoId;

    private String videoName;

    private Integer courseType;

    /** 状态(1待学习，2正在学习 、3已结课) */
    private String status;

    private Integer progress;


    private Long times;

    /** 百分比 */
    private Long rate;

    /** 当前观看时间点 秒 */
    private Long currentTimes;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date studyTime;


}
