package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 购买会员订单对象 fs_user_vip_order
 *
 * @author fs
 * @date 2024-06-27
 */
@Data
public class FsUserVipOrderListPVO
{

    /** 订单id */
    private Long orderId;

    /** 用户id */

    private Long userId;

    private String phone;

    /** 会员套餐id */
    private Long packageId;

    private String packageName;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date purchaseDate;

    /** 过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date expireDate;

    private BigDecimal payMoney;

    private BigDecimal price;

    /** 状态 */
    private Integer status;

    private Integer payType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 订单编码 */
    private String orderCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
