package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 转接记录对象 qw_external_contact_transfer_log
 *
 * @author fs
 * @date 2024-06-27
 */
@Data
public class QwExternalContactTransferLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 员工id */
    @Excel(name = "员工id")
    private Long companyUserId;

    /** 企微外部联系人id */
    @Excel(name = "企微外部联系人id")
    private String externalUserId;

    /** 客户id */
    @Excel(name = "客户id")
    private Long customerId;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long externalContactId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    private String takeoverUserId;
    private String handoverUserId;
    private Long qwUserId;
    private Long handoverQwUserId;
}
