package com.fs.qw.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.List;

@Data
public class QwUserListParam {
    private Long id;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private String qwUserId;

    private String qwUserName;

    private List<String> qwUserIds;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private String corpName;

    private String appKey;

    /** 公司员工id */
    @Excel(name = "公司员工id")
    private Long companyUserId;

    /** 企微id */
    @Excel(name = "企微id")
    private String corpId;

    @Excel(name = "企微")
    private Integer status;

    @Excel(name = "企微")
    private Integer isDel;

    private String nickName;

    private String userName;

    private Integer type;

    private Integer sendType;

}
