package com.fs.store.domain;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 用户端菜单管理对象 fs_menu
 *
 * @author fs
 * @date 2022-03-15
 */
@Data
public class FsMenu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long menuId;

    private String menuName;

    private String icon;

    private Integer isShow;

    private Integer linkType;

    private String linkUrl;

    private Integer sort;

    private Integer menuType;//菜单类型


}
