package com.fs.store.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 线下订单对象 fs_store_order_offline
 *
 * @author fs
 * @date 2024-10-29
 */
@Data
public class FsStoreOrderOfflineParam
{

    private Long orderId;

    /** 订单id */
    private Long crmId;

    /** 订单号 */
    private String orderCode;

    /** 状态 */
    private Long status;

    private String userPhone; //客户电话

    /** 员工id */
    private Long companyUserId;

    /** 上传小票员工id */
    private Long uploadUserId;

    private Long companyId;

    private String createTimeRange;

    private String[] createTimeList;



}
