package com.fs.store.param;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fs.common.core.domain.BaseEntity;
import com.fs.common.param.BaseQueryParam;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsStorePaymentParam  extends BaseEntity implements Serializable
{
    private Long companyId;
    private Long orderId;
    private String mobile;//销售手机号
    private Long userId;//会员
    private Long companyUserId;//销售
    private String payCode;
    private String orderCode;
    private String tradeNo;
    private String bankSerialNo;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date refundTime;


    /** 退款开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String refundBeginTime;

    /** 退款结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String refundEndTime;

    private String bankTransactionId;//交易单号
    private String companyUserNickName;//员工姓名

    private Integer businessType;
    private Long deptId;

    private String createTimeRange;

    private String[] createTimeList;
}
