package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsFollowListDVO implements Serializable {

    private Long followId;

    private Long orderId;

    private Long userId;

    private Long tempId;


    /** 病人名称 */
    private String patientName;

    /** 病人电话 */
    private String patientPhone;


    private Integer totalNum;

    /** 期次 */
    private Integer num;



    /** 0未填写 1已填写 */
    private Integer writeStatus;

    /** 推送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planTime;

    private String tempName;

}
