package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsIntegralGoodsListVO {
    /** id */
    private Long goodsId;

    /** 封面图 */
    @Excel(name = "封面图")
    private String imgUrl;

    /** 组图 */
    @Excel(name = "组图")
    private String images;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 原价 */
    @Excel(name = "原价")
    private BigDecimal otPrice;

    /** 商品分类 */
    @Excel(name = "商品分类")
    private Long goodsType;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 所需积分 */
    @Excel(name = "所需积分")
    private Long integral;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 库存 */
    @Excel(name = "库存")
    private Long stock;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
