package com.fs.qw.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.qw.domain.QwAutoTagsLogs;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class QwAutoTagsVO {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 组别 1关键词打标签 2客户入群行为打标签 3分时段打标签 */
    @Excel(name = "组别 1关键词打标签 2客户入群行为打标签 3分时段打标签")
    private Long type;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createName;

    /** 生效成员1.3生效 */
    @Excel(name = "生效成员1.3生效")
    private String applyUsers;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 选择的规则及标签 */
    @Excel(name = "选择的规则及标签")
    private String rulesTags;

    /** 打标签总数 */
    @Excel(name = "打标签总数")
    private Long totalNumTags;

    private Long totalNumTagsCount;

    /** 今日打标签数 */
    @Excel(name = "今日打标签数")
    private Long numTagsTaday;

    private Long numTagsTadayCount;

    /** 是否运用规则状态 1启用 2停用 */
    @Excel(name = "是否运用规则状态 1启用 2停用")
    private String isApply;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private List<QwAutoTagsLogs> qwAutoTagsLogsList;
}
