package com.fs.ad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 百度回传日志对象 ad_upload_log
 *
 * @author fs
 * @date 2025-03-14
 */
@Data
public class AdUploadLog{

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 站点ID */
    @Excel(name = "站点ID")
    private Long siteId;

    /** 媒体类型 */
    @Excel(name = "媒体类型")
    private Integer type;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long templateId;

    /** 账户ID */
    @Excel(name = "账户ID")
    private Long accountId;

    /** 域名ID */
    @Excel(name = "域名ID")
    private Long domainId;

    /** 点击URL */
    @Excel(name = "点击URL")
    private String url;

    /** 上传类型 */
    @Excel(name = "上传类型")
    private String uploadType;

    /** 广告唯一ID */
    @Excel(name = "广告唯一ID")
    private String vid;


}
