package com.fs.ad.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 优酷广告账号对象 ad_youku_account
 *
 * @author fs
 * @date 2025-02-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdYoukuAccount extends BaseEntityTow {


    /** 账号ID */
    @Excel(name = "账号ID")
    private String accountId;

    /** 账号名称 */
    @Excel(name = "账号名称")
    private String accountName;

    /** 秘钥 */
    @Excel(name = "秘钥")
    private String appKey;

    /** token */
    @Excel(name = "token")
    private String token;


}
