package com.fs.chat.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class ChatMsgListCVO implements Serializable {
    /** ID */
    private Long msgId;

    /** 消息ID */
    private String extId;

    /** 消息内容 */
    private String content;

    private String nickname;//客户名称

    private String avatar; //用户头像

    /** 消息类型 1文本 */
    private Integer msgType;

    /** 发送类型 1用户发送 2客服发送 */
    private Integer sendType;

    private Long companyId;

    private Long roleId;

    private Long companyUserId;

    private String msgJson;

    private String userId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String roleName;

    private Integer status;
}
