package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 公司短信对象 company_sms
 *
 * @author fs
 * @date 2023-01-09
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CompanySms extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long smsId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 剩余短信 */
    @Excel(name = "剩余短信")
    private Long remainSmsCount;

    /** 总短信数 */
    @Excel(name = "总短信数")
    private Long totalSmsCount;

}
