package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 短信模板对象 company_sms_temp
 *
 * @author fs
 * @date 2023-01-09
 */
@Data
public class CompanySmsTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板ID */
    private Long tempId;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 模板标题 */
    @Excel(name = "模板标题")
    private String title;

    /** 模板内容 */
    @Excel(name = "模板内容")
    private String content;

    /** 模板CODE */
    @Excel(name = "模板CODE")
    private String tempCode;

    /** 模板类型 */
    @Excel(name = "模板类型")
    private Integer tempType;

    @Excel(name = "短信签名")
    private String sign;
    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Integer cateId;

    private Integer isAudit;

}
