package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂视频观看记录对象 fs_user_video_view
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserVideoView extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 观看id */
    private Long viewId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    private Long duration;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;


}
