package com.fs.course.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class FsCourseWatchLogByFinishTimeParam {


    /** 日志Id */
    @TableId(type = IdType.AUTO)
    private Long logId;

    private Long userId;

    /** 企微外部联系人id */
    private Long qwExternalContactId;

    /** 分享人企微userId */
    private Long qwUserId;

    /** 销售id */
    private Long companyUserId;

    /** 公司id */
    private Long companyId;

    private String sopId; //sop任务id

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime; //完课时间

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date campPeriodTime; //sop任务中营期

    private String corpId;
    private String externalUserId;
    private String tagIds;
    private String qwUser;
    private String externalContactName;

}
