package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;


@Data
public class FsSopMyCourseLinkVO  {

    private static final long serialVersionUID = 1L;

    /** 主键Id */
    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updateTime;


    /** 企微员工昵称 */
    private String qwUserName;

    /** 课程标题 */
    @Excel(name = "课程标题")
    private String courseName;

    /** 课程封面 */
    private String courseUrl;

    /** 课节描述 */
    private String title;


    /** 课节跳转地址 */
    private String appRealLink;

    private Integer isRead;

}
