package com.fs.course.vo;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 课程对象 fs_user_course
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseListPVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long courseId;

    /** 课程名称 */
    private String courseName;

    /** 课程封面 */
    private String imgUrl;

    private String secondImg;

    private Long sort;

    private String cateName;

    private String subCateName;

    /** 原价售价 */
    private BigDecimal price;

    /** 售价 */
    private BigDecimal sellPrice;

    private Long integral;

    private Integer isShow;

    private Integer isPrivate;
    private Integer project;

    private String projectName;


}
