package com.fs.course.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 会员套餐对象 fs_user_vip_package
 *
 * @author fs
 * @date 2024-06-27
 */
@Data
public class FsUserVipPackageListUVO implements Serializable
{

    /** 套餐id */
    private Long packageId;

    /** 套餐名称 */
    private String packageName;

    /** 有效期（天） -1为永久 */
    private Integer months;

    /** 原价 */
    private BigDecimal price;

    /** 售价 */
    private BigDecimal sellPrice;

}
