package com.fs.gtPush.domain;

import com.google.common.collect.ImmutableMap;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
public class PushReqBean implements Serializable {

    public PushReqBean(Object push_clientid, String title, String content,Map<String, Object> payload,Map<String, Object> options) {
        this.push_clientid = push_clientid;
        this.title = title;
        this.content = content;
        this.payload = payload;
        this.options = options;
        this.force_notification=true;
        this.category=ImmutableMap.of("harmony","EXPRESS", "huawei","EXPRESS", "vivo","ORDER");

    }

    private Object push_clientid;
    private String title;
    private String content;
    private boolean force_notification;
    private Map<String,String> category;
    private Map<String,Object> payload;
    private Map<String,Object> options;

    public PushReqBean() {
    }

}
