package com.fs.qw.param;

import lombok.Data;

@Data
public class QwFsServerBindParam {
    /** 服务器IP/端口 */
    private String ipAddress;

    /** 绑定账号 */
    private String bindAccount;

    /** 绑定昵称 */
    private String bindName;

    /** 绑定公司id */
    private Long bindCompanyId;

    /** 绑定公司名称 */
    private String bindCompanyName;

    /** 绑定部门id */
    private Long bindDepartmentId;

    /** 绑定部门名称 */
    private String bindDepartmentName;

    private String company;

    /** 企微主体id */
    private String bindCropId;

    /** 企微主体 */
    private String bindCropName;

    /** 0:解绑 1绑定*/
    private Integer isBind;

    private String appKey;
    private String value;
    private String label;
}
