package com.fs.sop.params;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

@Data
public class QwSopLogsParam {
    /**
     * qw_sop表主键
     */
    private String sopId;

    /**
     * 企业微信用户昵称
     */
    private String qwUserName;

    private String qwUserid;

    /**
     * 客户昵称
     */
    private String externalUserName;
    /**
     * 公司id
     */
    private Long companyId;

    private String corpId;

    /** 发送状态 1发送成功 3待发送 */
    private Long sendStatus;

    /**
     *  接收(客户的)状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败
     */
    private Long receivingStatus;

    /**
     * 发送类型 1定时接口发送 2 Ai接口发送
     */
    private Long sendType;

    private Integer type;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String scheduleStartTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String scheduleEndTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String sendTime;
}
