package com.fs.sop.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDate;

@Data
public class SopUserLogsVo  {
    private String id;
    private String sopId;
    private String sopTempId;

    private String qwUserId;
    private String userId;
    private String corpId;
    private Integer minConversionDay;
    private Integer maxConversionDay;
    private Integer minSend;
    private Integer maxSend;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;

    private LocalDate startDate;

    /**
     * 状态
     */
    private Integer status;

}
