package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * 线下订单详情对象 fs_store_order_offline_item
 *
 * @author fs
 * @date 2024-10-29
 */
@Data
public class FsStoreOrderOfflineItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long itemId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** $column.columnComment */
    @Excel(name = "商品ID")
    private String jsonInfo;

    /** $column.columnComment */
    @Excel(name = "商品ID")
    private Integer num;

}
