package com.fs.store.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fs.common.param.BaseQueryParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsFollowListDParam extends BaseQueryParam implements Serializable {
    Long writeStatus;
    Long doctorId;
    String patientName;
    /** 开始时间 */
    @JsonIgnore
    private String beginTime;
    /** 结束时间 */
    @JsonIgnore
    private String endTime;

}
