package com.fs.store.param;

import com.fs.store.vo.FsStoreProductAttrValueVO;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class FsStoreOrderOfflineCreateParam implements Serializable {
    private Long companyId;
    private Long companyUserId;
    @NotNull(message = "会员不能为空")
    private Long crmId;
    @NotNull(message = "商品不能为空")
    private List<FsStoreProductAttrValueVO> products;
    private Long uploadUserId;
    private BigDecimal payPrice;
    private String remark;
}
