package com.fs.store.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsUserIntegralLogsParam {
    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 1 签到获得积分 2购买商品获得积分 3购买积分商品  */
    @Excel(name = "1 签到获得积分 2购买商品获得积分 3购买积分商品 ")
    private String logType;

    /** 积分 正数表示增加积分，负数表示减少积分 */
    @Excel(name = "积分 正数表示增加积分，负数表示减少积分")
    private Long integral;

    /** 积分余额 */
    @Excel(name = "积分余额")
    private Long balance;
    private String nickName;

    private String phone;
    /** 订单关联id */
    @Excel(name = "订单关联id")
    private String businessId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sTime;
}
