package com.fs.store.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
/**
 * 商品对象 fs_store_product
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreProductActivityListVO implements Serializable
{

    /** 商品id */
    private Long productId;

    /** 商品图片 */
    private String image;

    /** 商品名称 */
    private String productName;

    /** 商品简介 */
    private String productInfo;

    /** 关键字 */
    private String keyword;


    /** 商品价格 */
    private BigDecimal price;

    /** 市场价 */
    private BigDecimal otPrice;


    /** 单位名 */
    private String unitName;

    /** 销量 */
    private Long sales;

    /** 库存 */
    private Long stock;



}
